Loading...
Searching...
No Matches
BALL::FDPB::Default Struct Reference

`#include <BALL/SOLVATION/poissonBoltzmann.h>`

## Static Public Attributes

static const int | VERBOSITY
static const bool | PRINT_TIMING
static const float | SPACING
static const float | BORDER
static const float | IONIC_STRENGTH
static const float | TEMPERATURE
static const float | PROBE_RADIUS
static const float | ION_RADIUS
static const String | BOUNDARY
static const String | CHARGE_DISTRIBUTION
static const String | DIELECTRIC_SMOOTHING
static const float | SOLVENT_DC
static const float | SOLUTE_DC
static const float | RMS_CRITERION
static const float | MAX_CRITERION
static const Index | MAX_ITERATIONS
static const Index | CHECK_AFTER_ITERATIONS

## Detailed Description

Default values for FDPB options.
These values are used by FDPB::setup methods if no options have been set.

Definition at line 501 of file poissonBoltzmann.h.

## Member Data Documentation

## BORDER

const float BALL::FDPB::Default::BORDER

static

Default distance between outmost atom and border. Default is 4.0 Angstrom.

See also
  Option::border

Definition at line 525 of file poissonBoltzmann.h.

## BOUNDARY

const String BALL::FDPB::Default::BOUNDARY

static

Default boundary condition. Default is Boundary::DIPOLE

See also
  Option::BOUNDARY
  Boundary

Definition at line 558 of file poissonBoltzmann.h.

## CHARGE_DISTRIBUTION

const String BALL::FDPB::Default::CHARGE_DISTRIBUTION

static

Default charge distribution method. Default is ChargeDistribution::uniform

See also
  Option::charge_distribution
  ChargeDistribution

Definition at line 565 of file poissonBoltzmann.h.

## CHECK_AFTER_ITERATIONS

const Index BALL::FDPB::Default::CHECK_AFTER_ITERATIONS

static

Default for the number of iterations between two checks for convergence. Default is 10

See also
  Option::CHECK_AFTER_ITERATIONS

Definition at line 613 of file poissonBoltzmann.h.

## DIELECTRIC_SMOOTHING

const String BALL::FDPB::Default::DIELECTRIC_SMOOTHING

static

Default method for dielectric smoothing. Default is DielectricSmoothing::HARMONIC

See also
  Option::DIELECTRIC_SMOOTHING
  DielectricSmoothing

Definition at line 572 of file poissonBoltzmann.h.

## ION_RADIUS

const float BALL::FDPB::Default::ION_RADIUS

static

Default ionic exclusion radius. Default is 2.0 Angstrom

See also
  Option::ION_RADIUS

Definition at line 551 of file poissonBoltzmann.h.

## IONIC_STRENGTH

const float BALL::FDPB::Default::IONIC_STRENGTH

static

Default ionic strength of the solvent. Default is 0.0 mol/l

See also
  Option::IONIC_STRENGTH

Definition at line 531 of file poissonBoltzmann.h.

## MAX_CRITERION

const float BALL::FDPB::Default::MAX_CRITERION

static

Default convergence criterion for maximum change in potential. Default is 1E-4

See also
  Option::MAX_CRITERION
  Option::RMS_CRITERION
  Default::RMS_CRITERION

Definition at line 600 of file poissonBoltzmann.h.

## MAX_ITERATIONS

const Index BALL::FDPB::Default::MAX_ITERATIONS

static

Default for maximum number of iterations. Default is 500. This value is inappropriate for very large grids.

See also
  Option::MAX_ITERATIONS

Definition at line 607 of file poissonBoltzmann.h.

## PRINT_TIMING

const bool BALL::FDPB::Default::PRINT_TIMING

static

Default timing verbosity. false - don't tell anything

See also
  Option::print_timing

Definition at line 513 of file poissonBoltzmann.h.

## PROBE_RADIUS

const float BALL::FDPB::Default::PROBE_RADIUS

static

Default probe radius. The probe radius used for the creation of the solvent excluded surface of the solute. It should be the solvent radius. Default is 1.5 Angstrom for water.

See also
  Option::PROBE_RADIUS

Definition at line 545 of file poissonBoltzmann.h.

## RMS_CRITERION

const float BALL::FDPB::Default::RMS_CRITERION

static

Default convergence criterion for RMS change. Default is 1E-5

See also
  Option::RMS_CRITERION
  Option::MAX_CRITERION
  Default::MAX_CRITERION

Definition at line 592 of file poissonBoltzmann.h.

## SOLUTE_DC

const float BALL::FDPB::Default::SOLUTE_DC

static

Default solute dielectric constant. Default is 2.0 (good average derive from organic solvents).

See also
  Option::SOLUTE_DC

Definition at line 584 of file poissonBoltzmann.h.

## SOLVENT_DC

const float BALL::FDPB::Default::SOLVENT_DC

static

Default solvent dielectric constant. Default is 78.0 (roughly the dielectric constant of water at 298 K)

See also
  Option::SOLVENT_DC

Definition at line 578 of file poissonBoltzmann.h.

## SPACING

const float BALL::FDPB::Default::SPACING

static

Default grid spacing. Default grid spacing is 0.6 Angstrom.

See also
  Option::SPACING

Definition at line 519 of file poissonBoltzmann.h.

## TEMPERATURE

const float BALL::FDPB::Default::TEMPERATURE

static

Default temperature. Default is 298.15 K

See also
  Option::TEMPERATURE

Definition at line 537 of file poissonBoltzmann.h.

## VERBOSITY

const int BALL::FDPB::Default::VERBOSITY

static

Default verbosity level. 0 - shut up!

See also
  Option::VERBOSITY

Definition at line 507 of file poissonBoltzmann.h.